<?php

if ( !( function_exists( 'current_user_can' ) && current_user_can( GDP_AdminPage::capability ) ) ) die( 'Access denied' );

global $title;

//
// MANAGING LIST
//
list( $items, $total, $subsubsub_urls ) = GDP_AdminPage::get_list( array() );
?>
<div class="wrap">
	<h1>
		<?php echo esc_html( $title ); ?>
	</h1>
	<div class="clear"></div>
	<div id="col-container">
		<div id="col-right">
			<div><ul class="r_subsubsub"><li><a id="right-name" href="#"></a></li></ul></div>
			<div id="right-container"></div> <!-- #right-container -->
		</div> <!-- #col-right -->
		<div id="col-left">
			<div><ul class="subsubsub"><?php echo $subsubsub_urls; ?></ul></div>
			<div class="col-wrap">
				<div class="clear"></div>
				<table class="wp-list-table widefat fixed striped <?php echo GDP_AdminPage::tr_prefix_id; ?>">
					<thead>
						<tr>
<?php GDP_AdminPage::columns_list(); ?>
						</tr>
					</thead>
					<tbody id="<?php echo GDP_AdminPage::list_id; ?>" class="list:<?php echo GDP_AdminPage::tr_prefix_id; ?> components">
<?php foreach ( $items as $item ) { echo GDP_AdminPage::get_row( $item->id ); } ?>
					</tbody>
					<tfoot>
						<tr>
<?php GDP_AdminPage::columns_list( false ); ?>
						</tr>
					</tfoot>
				</table>
				<br class="clear" />
			</div>
		</div><!-- #col-left -->
	</div><!-- #col-container -->
</div><!-- .wrap -->