<?php // apis

$content .= '<table>';

$content .= '<tr><th>';
$content .= __( 'api.wordpress.org', 'GDPress' );
$content .= '</th><td>';
$content .= __( 'In wp 5.4 (Mar 2020), <code>api.wordpress.org</code> is referenced 18 times in the code [http://(12), https://(6)].', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><td colspan="2">';
$content .= __( 'In the WP dashboard, widget titled \'WordPress Events and News\' is a personal data collector (datas retrieved in privacy export). Comment in code refers to <code>w.org</code> Events API.<br />', 'GDPress' );
$content .= '</td></tr>';

$content .= '<tr><th>';
$content .= __( 'Emojis', 'GDPress' );
$content .= '</th><td>';
$content .= __( 'In WordPress, for any html content, smileys ( :-), :-D, &#8230;) are converted into images (emoticons or emojis for wp) in different places.', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><td colspan="2">';
$content .= __( 'If allowed, the emojis images are provided by the following site : <code>s.w.org</code>.<br />', 'GDPress' );
$content .= '</td></tr>';

$content .= '<tr><th>';
$content .= __( 'Avatars', 'GDPress' );
$content .= '</th><td>';
$content .= __( 'Remove that part of the admin settings <a href="options-discussion.php#show_avatars" target="_new_blank">page</a> that is displaying avatars.<br />', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><td colspan="2">';
$content .= __( 'In WordPress, your admin screens ( in the admin bar and in this settings <a href="options-discussion.php#show_avatars" target="_new_blank">page</a> ) and may be your theme are displaying avatars.<br />', 'GDPress' );
$content .= __( 'If allowed, avatar images are provided by default by the following site : <code>2.gravatar.com</code>.<br />', 'GDPress' );
$content .= '</td></tr>';

$content .= '<tr><th>';
$content .= __( 'xmlrpc', 'GDPress' );
$content .= '</th><td>';
$content .= __( 'XML-RPC is a Remote Procedure Call (<code>rpc</code>) protocol that uses <code>xml</code> to encode its calls.', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><td colspan="2">';
$content .= __( 'It is enabled by default. It is also possible to disable it, out of WordPress, by restricting access to the following entry point (<code>xmlrpc.php</code>) by modifying your <code>.htaccess</code> file.<br />', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><th>';

$content .= '<tr><th>';
$content .= __( 'Rest&nbsp;Api', 'GDPress' );
$content .= '</th><td>';
$content .= __( 'WordPress has in core a rest api that is documented <a href="https://developer.wordpress.org/rest-api/">here</a>.', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><td colspan="2">';
$content .= '</td></tr>';

$content .= '<tr><th><span>';
$content .= __( 'Rename &#8230;', 'GDPress' );
$content .= '</span></th><td>';
$content .= __( 'WordPress has set up a specific filter to give the ability to change a constant in URL prefix for any API resource.', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><td colspan="2">';
$content .= __( 'This filter is documented here : <code><a href="https://developer.wordpress.org/reference/hooks/rest_url_prefix/">rest_url_prefix</a></code>, ', 'GDPress' );
$content .= __( 'and fired in the following function : <code><a href="https://developer.wordpress.org/reference/functions/rest_get_url_prefix/">rest_get_url_prefix()</a></code>.', 'GDPress' );
$content .= '</td></tr>';

$content .= '<tr><th>';
$content .= __( 'Heartbeat', 'GDPress' );
$content .= '</th><td>';
$content .= __( 'Heartbeat is regularly emitting an ajax call to the server. One of the parameter sent is a boolean with name "focus". Save energy !', 'GDPress' );
$content .= '</td></tr>';

$content = apply_filters( 'GDPress_settings_apis_help', $content );

$content .= '</table>';

