<?php // apis => no sanitize here : selects, checkboxes and radio buttons

if ( isset( GDP_AdminPage::$pst_['apis'] ) )
{

	$apis = get_option( GDPress::option_name_apis );	

	$apis = stripslashes_deep( GDP_AdminPage::$pst_['apis'] ?? array() );

	$apis = array_map( 'trim', $apis);

	$have_prefix = ( isset( $apis['rest_url_prefix'] ) && !empty( $apis['rest_url_prefix'] ) );
	$is_prefix = ( $have_prefix ) ? preg_match( '/^[\w\-]+$/', $apis['rest_url_prefix'] ) : true;

	switch ( true )
	{
		case ( !$is_prefix ) :
			GDP_AdminPage::$err_mess['rest-url-prefix'] = __( 'field should have valid characters', 'GDPress' );
		break;
		default :
			do_action( 'GDPress_settings_apis_update' );

			update_option( GDPress::option_name_apis, $apis );

			$message = __( "Api's settings saved", 'GDPress' );
		break;
	}
}