<?php // general

if ( !isset( GDP_AdminPage::$pst_['_tab'] ) || ( 'general' != GDP_AdminPage::$pst_['_tab'] ) )
{
	$gdp_general = get_option( GDPress::option_name_general );
}

?>
<form name="<?php echo basename(__DIR__); ?>" method="post" class="gdp_settings">
	<input type="hidden" name="_tab" value="<?php echo basename(__DIR__); ?>" />
	<table class="form-table">

<!-- archive data subject events -->
		<tr>
			<th><?php _e( 'Archives', 'GDPress' ); ?></th>
			<td class="field">
				<input type="checkbox" name="general[archive]" id="general_archive"<?php checked( isset( $gdp_general['archive'] ) ); ?> />
				<label for="general_archive"><?php _e( 'Archive events from the data subject : for legal purpose ONLY.', 'GDPress' ); ?></label>
			</td>
		</tr>

<!-- gdpress dashboard widgets -->
		<tr>
			<th><!-- <hr style="border-top-width: 5px; margin: 7px 0 12px 0;"/> --><?php _e( 'GDPress Dashboard', 'GDPress' ); ?></th>
			<td class="field">
				<!-- <hr style="border-top-width: 5px;"/> -->
				<select name="general[dashboard_widgets]" id="general_dashboard_widgets">
<option value="0">&#160;</option><?php GDP_AdminPage::select_number( 1, 9, $gdp_general['dashboard_widgets'] ?? 2 ); ?>
				</select>
				<label for="general_dashboard_widgets"><?php _e( 'Number of rss widgets', 'GDPress' ); ?></label>
			</td>
		</tr>





<?php do_action( 'GDPress_settings_general_form' ); ?>

	</table>

<?php GDP_AdminPage::save_button(); ?>

</form>