<?php // oembed

$content .= '<table>';

$content .= '<tr><th>';
$content .= __( 'oEmbed', 'GDPress' );
$content .= '</th><td>';
$content .= __( 'As an introduction, it is recommanded to read the "Embed" help before reading these lines.', 'GDPress' );
$content .= '</td></tr>';
$content .= '<tr><td colspan="2">';
$content .= __( '<a href="https://en.wikipedia.org/wiki/OEmbed">oEmbed</a> is a format for allowing an embedded representation of a URL on third party sites. It allows a website to display embedded content (such as photos or videos) when an author posts a link to that resource, without having to parse the resource directly.<br />', 'GDPress' );
$content .= __( 'Usually the code embedded is a piece of software inserted in your post/page. This piece of software may write <code>cookies</code> and help collecting personal data.<br />', 'GDPress' );
$content .= __( 'In WordPress, the oembed standard is supported in core for referenced sites and documented <a href="https://wordpress.org/support/article/embeds/">here</a>.<br />', 'GDPress' );

$content .= __( 'GDPR section involved in this feature is : <br /><code class="gdpr">GDPR Chapter IV - Controller and Processor, Section 1 - General Obligations, particularly Article 30 - Records of Processing Activities</code>.<br />', 'GDPress' );
$content .= '</td></tr>';

$content .= '<tr><th><br /><span>';
$content .= __( 'Remove&nbsp;all', 'GDPress' );
$content .= '</span></th><td><br />';
$content .= __( 'Will simply empty the list of oEmbed providers.', 'GDPress' );
$content .= '</td></tr>';

$content .= '<tr><th><span>';
$content .= __( 'Providers', 'GDPress' );
$content .= '</span></th><td>';
$content .= __( 'You can also limit the content displayed from full intrusive (usually <code>html</code> <code>iframe</code>) to not intrusive (from a link with some text or will keep url as is in your post/page).<br />Changes effect may be delayed due to wp core cache policy (see Embed help on that topic).', 'GDPress' );
$content .= '</td></tr>';

$content .= '</table>';


