<?php
/**
 * Template for displaying gdpress request form
 *
 * @package GDPress
 * @subpackage Twenty_Eleven
 */
?>
<style>

#request {

	background: #fafafa;
	-moz-box-shadow: inset 0 1px 1px rgba(0,0,0,0.1);
	-webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.1);
	box-shadow: inset 0 1px 1px rgba(0,0,0,0.1);
	border: 1px solid #ddd;
	color: #888;
}

#request:focus {
    	color: #373737;
}

#request {
	padding: 3px;
}

#respond select {
    background: #fff;
    border: 4px solid #eee;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: inset 0 1px 3px rgba(204,204,204,0.95);
    -moz-box-shadow: inset 0 1px 3px rgba(204,204,204,0.95);
    box-shadow: inset 0 1px 3px rgba(204,204,204,0.95);
    position: relative;
    padding: 10px;
    text-indent: 40%;
}

#respond .comment-form-url .required {
	color: #bd3500;
	font-size: 22px;
	font-weight: bold;
	left: 75%;
	z-index: 1;
}

#respond select {
	display: block;
	height: 52px;
	width: 80%;
}

#respond select:focus {
	text-indent: 0;
	z-index: 1;
}

@media (max-width: 650px) {
	#respond .comment-form-url .required {
		left: 95%;
	}
	#respond select {
	    width: 100%;
	}
}

select#request option {
    text-align:right;   
}
</style>

<div id="comments">

<?php if ( function_exists( 'gdpress_form' ) ) gdpress_form(); ?>

</div><!-- #comments -->
