<?php
class GDP_WP_Embed_handlers
{
	/**
	 * Unique class instance
	 *
	 * @static object
	 */
	private static $_instance = null;

	/**
	 * Array of handlers
	 *
	 */
	static $_handlers = array();

	/**
	 * Constructor
	 *
	 * Constructor is private, use getInstance() static function instead
	 */
	private function __construct()
	{
		add_action( 'plugins_loaded', array( $this, 'plugins_loaded' ), 998 );
	}

	public function plugins_loaded()
	{
		global $wp_embed;

		self::$_handlers = $wp_embed->handlers;
	}
 
	public static function getInstance()
	{
 		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}
}