<?php
class GDP_WP_Site_Health_tests
{
	/**
	 * Unique class instance
	 *
	 * @static object
	 */
	private static $_instance = null;

	/**
	 * Array of tests
	 *
	 */
	static $_tests = array();

	/**
	 * Constructor
	 *
	 * Constructor is private, use getInstance() static function instead
	 */
	private function __construct()
	{
		add_action( 'plugins_loaded', array( $this, 'plugins_loaded' ), 998 );
	}

	public function plugins_loaded()
	{
		if ( ! class_exists( 'WP_Site_Health' ) ) require_once ABSPATH . 'wp-admin/includes/class-wp-site-health.php';

		self::$_tests = WP_Site_Health::get_tests();
	}
 
	public static function getInstance()
	{
 		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}
}