<?php
class GDP_Dashboard_metabox_ISO27701 extends GDP_dashboard_metabox_
{
	var $id		= 'ISO27701';
	var $context	= 'normal';
	var $file 	= __FILE__;

	function meta_box()
	{
		$links = array();
		$links[0] = array( 'https://en.wikipedia.org/wiki/ISO/IEC_27701', 	__( 'ISO/IEC 27701 | Wikipedia', 'GDPress' ) );
		$links[1] = array( 'https://www.iso.org/standard/71670.html', 		__( 'ISO/IEC 27701:2019 - Requirements and guidelines | iso.org', 'GDPress' ) );
		$links[2] = array( 'https://edps.europa.eu/data-protection/our-work/subjects/personal-information-management-system_en',
											__( 'Personal Information Management System (PIMS) | EDPS', 'GDPress' ) );
		$l = GDP_EU_Languages::getInstance();
		$lang = $l->get_language_lang();

		$out = $this->format_links( $links, $lang );

		echo $out;
	}
}
new GDP_Dashboard_metabox_ISO27701( __( 'ISO/IEC 27701', 'GDPress' ) );