<?php
class GDP_Dashboard_metabox_wp_privacy_links extends GDP_dashboard_metabox_
{
	var $id		= 'wp_privacy_links';
	var $context	= 'side';
	var $file 	= __FILE__;

	function meta_box()
	{
		$links = array();
		$links[] = array(  esc_url( admin_url( 'privacy-policy-guide.php' ) ), 			__( 'Privacy Policy guide', 'GDPress'  ) );
		$links[] = array( 'https://wordpress.org/support/article/settings-privacy-screen/', 	__( 'Documentation on Privacy Settings', 'GDPress' ) );
		$links[] = '';
		$links[] = array( 'https://wordpress.org/about/privacy/', 				'wordpress.org | About privacy' );
		$links[] = array( 'https://wordpress.org/support/article/wordpress-privacy/', 		'WordPress Privacy' );
		$links[] = array( 'https://developer.wordpress.org/plugins/privacy/', 			'Plugin Handbook | Privacy' );
		$links[] = array( 'https://make.wordpress.org/core/roadmap/privacy/', 			'Core Privacy Roadmap (v2)' );
		$links[] = array( 'https://make.wordpress.org/core/?s=privacy', 			'Make WordPress Core | posts with word \'privacy\'' );

		$out = $this->format_links( $links );

		echo $out;
	}
}
new GDP_Dashboard_metabox_wp_privacy_links( __( 'Usefull Privacy Links', 'GDPress' ) );