var gdp_form = {

	selectors : {
		submit  : 'div.GDPress input.GDP_submit', 
		form    : 'form.gdp-form', 
		formdiv : 'div.gdp-formdiv', 
		loading : 'div.gdp-loading', 
		message : 'div.gdp-message'
	}, 

	init : function() {
		jQuery(gdp_form.selectors.submit).click( function() { gdp_form.ajax(jQuery(this).parents('.GDPress')); return false;} );
	}, 

	ajax : function(div) {
		var data = {};
		jQuery(gdp_form.selectors.form+' [type!=submit]',  div).each(function(){
			data[ jQuery(this).attr('name') ] = jQuery(this).val();
		});
		jQuery(gdp_form.selectors.formdiv, div).fadeTo(500,0);
	 	jQuery(gdp_form.selectors.loading, div).fadeTo(500,1);

		// ajax
		jQuery.ajax({
			data: data,
			beforeSend: null,
			type: "POST", 
			url: GDP_Widget.url,
			success: gdp_form.callback
			});
	}, 

	callback : function(r) {
	 	var mess  = jQuery('message',r).text();

		var div   = jQuery('#' + r.data.id);

	 	jQuery(gdp_form.selectors.loading, div).fadeTo(500,0);
		jQuery(gdp_form.selectors.message, div).html(r.data.message).fadeTo(1000,1);

	 	setTimeout('gdp_form.showmessage("' + r.data.id + '")',3000);
	 	setTimeout('gdp_form.showform("' + r.data.id + '")',3000);
	}, 

	showmessage : function(id) {
		var div   = jQuery('#' + id);
	 	jQuery(gdp_form.selectors.message, div).fadeTo(2000,0);
	},

	showform : function(id) {
		var div   = jQuery('#' + id);
		jQuery(gdp_form.selectors.formdiv, div).fadeTo(2000,1);
	}
}
jQuery(document).ready( function() { gdp_form.init(); } );