<?php

/* Capabilities */

$capabilities	= array( 	

	'GDPress_manage_options'	=> 	array( 	'name'	=> __( 'Settings', 'GDPress' ),
										'group'	=> 'admin',
										'menu'	=> 99,

										'parent'	=> 'options-general.php',
										'page_title'=> __( 'GDPress Settings', 'GDPress' ),
										'menu_title'=> 'GDPress',
										'page'	=> GDPress_page_settings,
										'func'	=> array( 'GDP_AdminPage', 'body' )
								),

	'GDPress_manage_dashboard'	=> 	array( 	'name'	=> __( 'Dashboard', 'GDPress' ),
										'group'	=> 'gdpr',
										'menu'	=> 1,
										'admin_bar'	=> __( 'Dashboard', 'GDPress' ),

										'parent'	=> false,
										'page_title'=> __( 'GDPR Dashboard', 'GDPress' ),
										'menu_title'=> __( 'Dashboard', 'GDPress' ),
										'page'	=> GDPress_page_dashboard,
										'func'	=> array( 'GDP_AdminPage', 'body' )
								),

	'GDPress_manage_ropa'		=> 	array( 	'name'	=> __( 'RoPA Assistant', 'GDPress' ),
										'group'	=> 'gdpr',
										'menu'	=> 20,

										'parent'	=> false,
										'page_title'=> __( 'GDPress RoPA Assistant', 'GDPress' ),
										'menu_title'=> __( 'RoPA Assistant', 'GDPress' ),
										'page'	=> GDPress_page_ropa,
										'func'	=> array( 'GDP_AdminPage', 'body' )
								 ),

	'GDPress_manage_events'		=> 	array( 	'name'	=> __( 'Archives', 'GDPress' ),
										'group'	=> 'gdpr',
										'menu'	=> 30,

										'parent'	=> false,
										'page_title'=> __( 'GDPress Archives', 'GDPress' ),
										'menu_title'=> __( 'Archives', 'GDPress' ),
										'page'	=> GDPress_page_events,
										'func'	=> array( 'GDP_AdminPage', 'body' )
								 ),
);