<?php

if ( !( function_exists( 'current_user_can' ) && current_user_can( GDP_AdminPage::capability ) ) ) die( 'Access denied' );

global $title, $gdp_event;
?>

<div class="wrap">
	<h1>
		<?php echo esc_html( $title ); ?>
	</h1>
	<?php if ( isset( $message ) ) GDP_AdminPage::message( $message ); ?>
	<table class="wp-list-table widefat fixed striped zyxw">
		<thead>
			<tr>
<?php GDP_AdminPage::columns_list(); ?>
			</tr>
		</thead>
		<tbody id="the-mail-list">
<?php echo GDP_AdminPage::get_row(); ?>
		</tbody>
	</table>
	<div id="dashboard-widgets-wrap">
		<div id="dashboard-widgets" class="metabox-holder">
			<div id="postbox-container-1" class="postbox-container">
<?php do_meta_boxes( GDP_AdminPage::screen, 'normal', $gdp_event ); ?>
			</div>
			<div id="postbox-container-2" class="postbox-container">
<?php do_meta_boxes( GDP_AdminPage::screen, 'side', $gdp_event ); ?>
			</div>
		</div>
		<form method="post" class="hidden">

			<?php wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false ); ?>
			<?php wp_nonce_field( 'meta-box-order',  'meta-box-order-nonce', false );  ?>

		</form>
	</div><!-- dashboard-widgets-wrap -->
</div>