<?php // headers

if ( !isset( $headers ) ) $headers = get_option( GDPress::option_name_headers );

$_headers = array(
	'from' 		=> 'From',
	'bcc' 		=> 'Bcc',
	'return_path' 	=> 'Return-Path',
	'reply_to' 	=> 'Reply-To',
);
?>
<form name="<?php echo basename(__DIR__); ?>" method="post" class="gdp_settings">
	<input type="hidden" name="_tab" value="<?php echo basename(__DIR__); ?>" />
	<table class="form-table">

		<tr>
			<th><label for="headers_email"><?php _e( 'Email', 'GDPress' ); ?></label></th>
			<td class="nopad">
				<table class="">
					<tr>
						<td class="pr10<?php if ( isset( GDP_AdminPage::$err_mess['email'] ) ) echo ' form-invalid'; ?>">
							<?php _e( 'Email : ', 'GDPress' ); ?>
							<input type="text" name="headers[email]" value="<?php echo $headers['email'] ?? ''; ?>" class="regular-text" id="headers_email" />
						</td>
						<td class="pr10<?php if ( isset( GDP_AdminPage::$err_mess['name'] ) ) echo ' form-invalid'; ?>">
							<?php _e( 'Name : ', 'GDPress' ); ?> 
							<input type="text" name="headers[name]" value="<?php echo esc_attr( $headers['name'] ?? '' ); ?>" class="regular-text" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
<?php
foreach( $_headers as $k => $v )
{
?>
<!-- <?php echo $v; ?> -->
		<tr>
			<th><?php echo $v; ?></th>
			<td class="field">
				<input type="checkbox" name="headers[headers][<?php echo $k; ?>]" id="headers_<?php echo $k; ?>"<?php checked( isset( $headers['headers'][$k] ) ); ?> />
				<label for="headers_<?php echo $k; ?>"><?php printf( __( 'Use as %1$s', 'GDPress' ), $v ); ?></label>
			</td>
		</tr>
<?php
}
do_action( 'GDPress_settings_headers_form' ); 
?>

	</table>

<?php GDP_AdminPage::save_button(); ?>

</form>