<?php // headers => only checkboxes, email is checked with is_email

$headers = get_option( GDPress::option_name_headers );	

if ( isset( GDP_AdminPage::$pst_['headers'] ))
{
	$headers = stripslashes_deep( GDP_AdminPage::$pst_['headers'] );

	switch ( true )
	{
		case ( isset( $headers['headers'] ) && empty( $headers['email'] ) ) :
			GDP_AdminPage::$err_mess['email'] = __( 'field required', 'GDPress' );
		break;
		case ( !empty( $headers['email'] ) && !is_email( $headers['email'] ) ) :
			GDP_AdminPage::$err_mess['email'] = __( 'field should be an email', 'GDPress' );
		break;
		case ( !empty( $headers['email'] ) && empty( $headers['name'] ) ) :
			GDP_AdminPage::$err_mess['name'] = __( 'field required', 'GDPress' );
		break;
		default :
			do_action( 'GDPress_settings_headers_update' );

			update_option( GDPress::option_name_headers, $headers );

			$message = __( 'Mail Headers settings saved', 'GDPress' );
		break;
	}
}