<?php // oembed => selects and checkboxes only

if ( isset( GDP_AdminPage::$pst_['oembed'] ) )
{
	$oembed = get_option( GDPress::option_name_oembed );

	$remove_all = isset( GDP_AdminPage::$pst_['oembed']['remove-all'] );

	if ( !$remove_all )
	{
		$in = 0;
		foreach( GDP_AdminPage::$pst_['oembed']['providers'] as $k => $v )
		{
			$in += $v['mode'];
			if ( $in ) break;
		}
		$remove_all = !(bool) $in;
	}

	if ( $remove_all )
	{
		foreach( GDP_AdminPage::$pst_['oembed']['providers'] as $k => $v )
		{
			if ( isset( $oembed['providers'][$k] ) ) continue; 	// we keep old settings just in case.
			$oembed['providers'][$k] = $v;				// and we add new ones  just in case.
		}
	}
	else
	{

		$oembed = GDP_AdminPage::$pst_['oembed'];
	}

	$oembed['remove-all'] = $remove_all;

	update_option( GDPress::option_name_oembed, $oembed );

	$message = __( 'oEmbed settings saved', 'GDPress' );
}