<script type="text/html" id="tmpl-dbp-nocontent">
	<p><?php _e( 'Sorry! no news !', 'GDPress' ); ?></p>
</script>
<script type="text/html" id="tmpl-dbp-content">
	<div class="dbp-content" data-height="{{data.height}}em" style="max-height:{{data.height}}em;">
		<ul style="margin: 0;">
<# _( data.items ).each( function( data ) { #>
		   <li class="<# if ( typeof data.image !== 'undefined' ) { #>img<# } else { #>noimg<# } #>">
<# if ( typeof data.image !== 'undefined' ) { #>
				<table>
					<tr>
						<td>
							<div class="img lastnews">
								<img src="{{data.image}}" alt="" class="lastnews" />
							</div>
<# } #>
			<span class="lastnews">
				<a class="lastnews" href="{{data.permalink}}" title="{{data.desc}}" target="_blank">{{data.title}}</a>
				 &#8212; 
				<abbr class="dbp-c6" title="{{data.fulldate}}">{{data.date}}</abbr>
			</span>
<# if ( typeof data.image !== 'undefined' ) { #>
					</td>
				</tr>
			</table>
<# } #>
		   </li>
<# }) #>
		</ul>
	</div>
</script>
<script type="text/html" id="tmpl-dbp-control">
	<form method="post" class="dashboard-widget-control-form wp-clearfix widget-norequest">
		<p class="dbp-ctrl-mb0"><?php _e( 'Widget', 'GDPress' ); ?></p>
		<div class="dbp-ctrl-box">
			<table style="width: 100%;">
				<tr>
					<td colspan="2">
						<input class="widefat" type="text" value="{{data.options.wtitle}}" name="{{data.id}}[wtitle]" autocomplete="off" />
					</td>
				</tr>
				<tr>
					<td style="width: 50px;"><?php _e( 'Height : ', 'GDPress' ); ?></td>
					<td>
						<select name="{{data.id}}[height]">
<# for( var i = 5; i <= 85; i = i+5 ) { #>
							<option value="{{i}}"<# if ( i == data.options.height ) { #> selected="selected"<# } #>>{{i}}</option>
<# } #>
						</select>(em)
					</td>
				</tr>
			</table>
		</div>
		<p class="dbp-ctrl-mb0"><?php _e( 'Feeds', 'GDPress' ); ?></p>
		<div class="dbp-ctrl-box">
			<table style="width: 100%;">
				<tr>
					<td style="width: 50px;"><?php _e( 'Posts : ', 'GDPress' ); ?></td>
					<td>
						<select name="{{data.id}}[maxlines]">
<# for( var i = 1; i <= 99; i++ ) { #>
							<option value="{{i}}"<# if ( i == data.options.maxlines ) { #> selected="selected"<# } #>>{{i}}</option>
<# } #>
						</select>
					</td>
					<td style="width: 100px;"><?php _e( 'Image : ', 'GDPress' ); ?></td>
					<td>
						<input type="checkbox"<# if (typeof data.options.image !== 'undefined') { #> checked="checked"<# } #> name="{{data.id}}[image]" id="{{data.id}}_image" />
					</td>
				</tr>
				<tr>
					<td style="width: 50px;"><?php _e( 'Input : ', 'GDPress' ); ?></td>
					<td>
						<select name="{{data.id}}[maxfeeds]">
<# for( var i = 3; i <= 10; i++ ) { #>
							<option value="{{i}}"<# if ( i == data.options.maxfeeds ) { #> selected="selected"<# } #>>{{i}}</option>
<# } #>
						</select>
					</td>
					<td style="width: 100px;"><?php _e( 'Caching : ', 'GDPress' ); ?></td>
					<td>
						<select name="{{data.id}}[caching]">
<# for( var i in data.options.cache ) { #>
							<option value="{{i}}"<# if ( i == data.options.caching ) { #> selected="selected"<# } #>>{{data.options.cache[i]}}</option>
<# } #>
						</select>
					</td>
				</tr>
			</table>
		</div>
		<p>
			<label><?php _e( 'Fill the RSS or Atom urls here', 'GDPress' ); ?></label>
<# for( var i = 1; i <= data.options.maxfeeds; i++ ) { #>
			<input class="widefat dbp-ctrl-mb5" name="{{data.id}}[feeds][]" type="text" value="<# if (typeof data.options.feeds[i-1]!=='undefined') { #>{{data.options.feeds[i-1]}}<# } #>" /><br />
<# } #>
		</p>
		<p class="submit">
			<input type="submit" name="submit" id="submit_{{data.id}}" class="button button-primary" value="<?php _e( 'Submit', 'GDPress' ); ?>">
		</p>
	</form>
</script>