// settings

var gp_settings = {
	
	init : function() {
		jQuery('#settings-tabs').tabs({
			active : GDP_AdminPage_var.the_tab,

			create : function( event, ui){
				jQuery("[href='#tab-panel-" + GDP_AdminPage_var.the_tab_name + "']").click();
			},


			activate : function( event, ui){
				jQuery("[href='#tab-panel-" + ui.newPanel.attr('data-tab') + "']").click();
			}
		});

		//apis
		jQuery('#apis_rest_api').change( function() {
			jQuery('#apis_rest_url_prefix').prop('disabled', function(i, v) { return !v; });
		});

		//embed & handlers
		jQuery('#embed_remove_all').change( function() {
			if (this.checked) {
				jQuery('.embed_handler').each( function() {
					jQuery(this).attr('data-value', (this.checked) ? 1 : 0 );
					jQuery(this).prop('disabled', true );
					jQuery(this).prop('checked', true );
                                        jQuery('#gdpr_embed_'+jQuery(this).attr('data-handler')).addClass('disabled');
				});
                        }
			else {
				jQuery('.embed_handler').each( function() {
					jQuery(this).prop('disabled', false );
                                        var val = ( jQuery(this).attr('data-value') == 1 );
					jQuery(this).prop('checked', val );
                                        (val) ? jQuery('#gdpr_embed_'+jQuery(this).attr('data-handler')).addClass('disabled') : jQuery('#gdpr_embed_'+jQuery(this).attr('data-handler')).removeClass('disabled');
				});
			}
		});

		jQuery('.embed_handler').each( function() {
			jQuery(this).change( function() {
				if (this.checked) {
					jQuery(this).attr('data-value', 1);
                                        jQuery('#gdpr_embed_'+jQuery(this).attr('data-handler')).addClass('disabled');
	                        }
				else {
					jQuery(this).attr('data-value', 0);
                                        jQuery('#gdpr_embed_'+jQuery(this).attr('data-handler')).removeClass('disabled');
	                        }
			})
		});

		//oembed & providers
		jQuery('#oembed_remove_all').change( function() {
			if (this.checked) {
				jQuery('.oembed_provider_mode').each( function() {
					jQuery(this).attr('data-value', jQuery(this).val() );
					jQuery(this).val(0);
					jQuery(this).prop('disabled', true );
                                        var val = jQuery(this).val();
                                        (val == 0) ?  jQuery('#gdpr_oembed_'+jQuery(this).attr('data-provider')).addClass('disabled') : jQuery('#gdpr_oembed_'+jQuery(this).attr('data-provider')).removeClass('disabled');
				});
                        }
			else {
				jQuery('.oembed_provider_mode').each( function() {
					jQuery(this).val(jQuery(this).attr('data-value'));
					jQuery(this).prop('disabled', false );
                                        //jQuery('#gdpr_oembed_'+jQuery(this).attr('data-provider')).removeClass('disabled');
                                        var val = jQuery(this).val();
                                        (val == 0) ?  jQuery('#gdpr_oembed_'+jQuery(this).attr('data-provider')).addClass('disabled') : jQuery('#gdpr_oembed_'+jQuery(this).attr('data-provider')).removeClass('disabled');
				});
			}
		});

		jQuery('.oembed_provider_mode').each( function() {
			jQuery(this).change( function() {
                                var val = jQuery(this).val();
				jQuery(this).attr('data-value', val);
                                (val == 0) ?  jQuery('#gdpr_oembed_'+jQuery(this).attr('data-provider')).addClass('disabled') : jQuery('#gdpr_oembed_'+jQuery(this).attr('data-provider')).removeClass('disabled');
			})
		});

		//site_health & tests
		jQuery('#site_health_remove_all').change( function() {
			if (this.checked) {
				jQuery('.site_health_test').each( function() {
					jQuery(this).attr('data-value', (this.checked) ? 1 : 0 );
					jQuery(this).prop('disabled', true );
					jQuery(this).prop('checked', true );
                                        jQuery('#gdpr_site_health_'+jQuery(this).attr('data-test')).addClass('disabled');
				});
                        }
			else {
				jQuery('.site_health_test').each( function() {
					jQuery(this).prop('disabled', false );
                                        var val = ( jQuery(this).attr('data-value') == 1 );
					jQuery(this).prop('checked', val );
                                        (val) ? jQuery('#gdpr_site_health_'+jQuery(this).attr('data-test')).addClass('disabled') : jQuery('#gdpr_site_health_'+jQuery(this).attr('data-test')).removeClass('disabled');
				});
			}
		});

		jQuery('.site_health_test').each( function() {
			jQuery(this).change( function() {
				if (this.checked) {
					jQuery(this).attr('data-value', 1);
                                        jQuery('#gdpr_site_health_'+jQuery(this).attr('data-test')).addClass('disabled');
	                        }
				else {
					jQuery(this).attr('data-value', 0);
                                        jQuery('#gdpr_site_health_'+jQuery(this).attr('data-test')).removeClass('disabled');
	                        }
			})
		});
	}
}
jQuery(document).ready(function(){ gp_settings.init(); });