<?php
/**
 * Template Name: GDPress template
 *
 * Template for displaying gdpress request form on any wp page
 *
 * @package GDPress
 * @subpackage Twenty_Fifteen
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
		// Start the loop.
		while ( have_posts() ) :
			the_post();

			// Include the page content template.
			get_template_part( 'content', 'page' );

			if ( function_exists( 'gdpress_template' ) ) gdpress_template();

			// End the loop.
		endwhile;
		?>

		</main><!-- .site-main -->
	</div><!-- .content-area -->

<?php get_footer(); ?>

