<?php
/**
 * Template Name: GDPress template
 *
 * Template for displaying gdpress request form on any wp page
 *
 * @package GDPress
 * @subpackage Twenty_Seventeen
 */

get_header(); ?>

<div class="wrap">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/page/content', 'page' );

				if ( function_exists( 'gdpress_template' ) ) gdpress_template();

			endwhile; // End of the loop.
			?>

		</main><!-- #main -->
	</div><!-- #primary -->
</div><!-- .wrap -->

<?php
get_footer();
