<?php
/**
 * Template Name: GDPress template
 *
 * Template for displaying gdpress request form on any wp page
 *
 * @package GDPress
 * @subpackage Twenty_Sixteen
 */

get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
		<?php
		// Start the loop.
		while ( have_posts() ) :
			the_post();

			// Include the page content template.
			get_template_part( 'template-parts/content', 'page' );

			if ( function_exists( 'gdpress_template' ) ) gdpress_template();

			// End of the loop.
		endwhile;
		?>

	</main><!-- .site-main -->

	<?php get_sidebar( 'content-bottom' ); ?>

</div><!-- .content-area -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>


