<?php
/**
 * Template for displaying gdpress request form
 *
 * @package GDPress
 * @subpackage Twenty_Twenty
 */
?>
<style>
.comment-respond .comment-form-email {
    margin-left: auto;
    float: none;
    width: auto;
}
.comment-respond .comment-form-url select {
    background: #fff;
    border-radius: 0;
    border-style: solid;
    border-width: 0.1rem;
    box-shadow: none;
    display: block;
    font-size: 1.6rem;
    letter-spacing: -0.015em;
    margin: 0;
    margin-bottom: 0px;
    width: 100%;
    padding: 1.5rem 1.8rem;
}
</style>

<div class="comments-wrapper section-inner">

	<hr class="styled-separator is-style-wide" aria-hidden="true">	<div id="respond" class="comment-respond">

<?php 
if ( function_exists( 'gdpress_form' ) ) 
	gdpress_form(
		array(
			'gdpress_notes_before' => '<p class="comment-notes"><span id="email-notes">' . __( 'Your privacy matters, your email address will not be published.', 'GDPress' ) . '<br /></span>' . __( 'All fields required', 'GDPress' ) . '</p>',

			'class_form'         => 'section-inner thin max-percentage',
			'title_reply_before' => '<h2 id="reply-title" class="comment-reply-title">',
			'title_reply_after'  => '</h2>',
		)
	); 
?>

</div><!-- #comments -->
