<?php
class GDP_WP_off_Embed
{
	function __construct()
	{
		add_action( 'plugins_loaded', array( __CLASS__, 'plugins_loaded' ), 999 );
	}

	public static function plugins_loaded() 
	{
		$options = get_option( GDPress::option_name_embed);

		if ( !$options ) return;

		if ( $options['remove-all'] )
		{
			global $wp_embed;
			$wp_embed->handlers = array();
			return;
		}

		foreach( $options['handlers'] as $k => $v )
		{
			foreach( $v as $kk => $vv )
			{
				wp_embed_unregister_handler( $kk, $k );
			}
		}
	}
}

