<?php
class GDP_WP_off_Events_News
{
	function __construct()
	{
		add_action( 'plugins_loaded', array( $this, 'plugins_loaded' ), 1000 );
	}

	public function plugins_loaded()
	{
		add_action( 'wp_dashboard_setup', array( $this, 'wp_dashboard_setup' ), 999 );
	}

	function wp_dashboard_setup()
	{
		if ( !function_exists( 'wp_add_dashboard_widget' ) ) return;

		// Not possible to deregister style or script,
		// related code is embedded in dashboard.css and dashboard.js files

		global $wp_meta_boxes;

		$page = 'dashboard';
		$removable = array( 'dashboard_primary' );	

		foreach ( array_keys( $wp_meta_boxes[$page]) as $context )
		{ 
			foreach ( array_keys( $wp_meta_boxes[$page][$context]) as $priority ) 
			{
				foreach ( $wp_meta_boxes[$page][$context][$priority] as $key => $box ) 
				{
					if ( in_array( $key, $removable ) ) unset( $wp_meta_boxes[$page][$context][$priority][$key] );
				}
			}
		}
	}
}