<?php
abstract class GDP_WP_privacy_
{
	/**
	 * Request id
	 *
	 * @static string
	 */
	public static $_request_id = null;

	function __construct( $name )
	{
		$this->name = $name;

		add_filter( "wp_privacy_personal_data_{$this->type}s", array( $this, 'register' ), $this->priority );
	}

	function register( $registry )
	{
		self::$_request_id = ( isset( $_POST['id'] ) ) ? (int) $_POST['id'] : 0; 

		$registry[get_class( $this )] = array( $this->type . '_friendly_name' => $this->name, 'callback' => array( $this, $this->type ), );
		return $registry;
	}

	function archive()
	{
		GDP_Event::insert( $this->event, false );
	}
}



