<?php
abstract class GDP_options_
{
	function __construct()
	{
		// Load all options so that they can do what they have to do.
		$root = GDP_ABSPATH . 'gp-includes/class/options/' . $this->path;
		$dir  = @opendir( $root );
		if ( $dir ) while ( ( $file = readdir( $dir ) ) !== false ) if ( $file[0] != '.' ) $this->load( $root, $file );
		@closedir( $dir );

		$path = ucfirst( str_replace( '/', '_', $this->path ) );

		do_action( "GDPress_load_{$path}" );
	}

	function load( $root, $file )
	{
		if ( isset( $this->deep ) )
		{
			if ( is_dir( "$root/$file" ) )
			{
				$root .= "/$file";
				$dir  = @opendir( $root );
				if ( $dir ) while ( ( $file = readdir( $dir ) ) !== false ) if ( $file[0] != '.' ) $this->load_file( "$root/$file" );
				@closedir( $dir );
				return;
			}
		}

		$this->load_file( "$root/$file" );
	}

	function load_file( $file )
	{
		if ( substr( $file, -4 ) != '.php' ) return;
		require_once( $file );
	}
}