<?php
GDP_EU_Authorities::$_authorities = array(

	'EU'			=> array( 	'site' => 'https://edps.europa.eu/',
						'rss' => array('https://edps.europa.eu/feed/news_en', 'https://edpb.europa.eu/feed/news_en', ),
						'desc' => 'European Data Protection Supervisor | EDPS',
						'alpha_order' => 0,
						'flag' => 'eu',
	),
	'Europe/Amsterdam'	=> array( 	'site' => 'https://autoriteitpersoonsgegevens.nl/nl',
						'rss' => 'https://autoriteitpersoonsgegevens.nl/nl/rss',
						'desc' => 'Autoriteit Persoonsgegevens',
						'alpha_order' => 70,
						'flag' => 'nl',
	),
	'Europe/Athens'		=> array( 	'site' => 'http://www.dpa.gr/',
						'desc' => 'Αρχής Προστασίας Δεδομένων Προσωπικού Χαρακτήρα',
						'alpha_order' => 10,
						'flag' => 'gr',
	),
	'Europe/Berlin'		=> array( 	'site' => 'http://www.bfdi.bund.de/',
						'desc' => 'Der Bundesbeauftragte für den Datenschutz und die Informationsfreiheit',
						'alpha_order' => 80,
						'flag' => 'de',
	),
	'Europe/Bratislava'	=> array( 	'site' => 'http://www.dataprotection.gov.sk/',
						'rss' => 'https://dataprotection.gov.sk/uoou/sk/feed',
						'desc' => 'Úrad na ochranu osobných údajov Slovenskej&nbsp;republiky',
						'alpha_order' => 240,
						'flag' => 'sk',
	),
	'Europe/Brussels'	=> array( 	'site' => array( 'fr' => 'https://www.autoriteprotectiondonnees.be/', 'nl' => 'https://www.gegevensbeschermingsautoriteit.be/' ),
						'desc' => array( 'fr' => 'Autorité de protection des données', 'nl' => 'Gegevensbeschermingsautoriteit' ),
						'alpha_order' => array( 'fr' => 60, 'nl' => 180 ),
						'flag' => 'be',
	),
	'Europe/Bucharest'	=> array( 	'site' => 'http://www.dataprotection.ro/',
						'rss' => 'https://www.dataprotection.ro/feed?lang=ro',
						'desc' => 'Autoritatea Naţională de Supraveghere a Prelucrării Datelor cu Caracter Personal',
						'alpha_order' => 50,
						'flag' => 'ro',
	),
	'Europe/Budapest'	=> array( 	'site' => 'http://www.naih.hu/',
						'desc' => 'Nemzeti Adatvédelmi és Információszabadság Hatóság',
						'alpha_order' => 210,
						'flag' => 'hu',
	),
	'Europe/Copenhagen'	=> array( 	'site' => 'http://www.datatilsynet.dk/',
						'desc' => 'Datatilsynet',
						'alpha_order' => 140,
						'flag' => 'dk',
	),
	'Europe/Dublin'		=> array( 	'site' => 'http://www.dataprotection.ie/',
						'desc' => 'Data Protection Commission',
						'alpha_order' => 120,
						'flag' => 'ie',
	),
	'Europe/Helsinki'	=> array( 	'site' => 'http://www.tietosuoja.fi/en/',
						'desc' => 'Tietosuojavaltuutetun toimisto',
						'alpha_order' => 230,
						'flag' => 'fi',
	),
	'Europe/Lisbon'		=> array( 	'site' => 'http://www.cnpd.pt/',
						'desc' => 'Comissão Nacional de Protecção de Dados | CNPD',
						'alpha_order' => 90,
						'flag' => 'pt',
	),
	'Europe/Ljubljana'	=> array( 	'site' => 'https://www.ip-rs.si/',
						'rss' => 'https://www.ip-rs.si/rss/',
						'desc' => 'Informacijski pooblaščenec',
						'alpha_order' => 190,
						'flag' => 'si',
	),
	'Europe/Luxembourg'	=> array( 	'site' => 'http://www.cnpd.lu/',
						'desc' => 'Commission nationale pour la protection des données',
						'alpha_order' => 110,
						'flag' => 'lu',
	),
	'Europe/Malta'		=> array( 	'site' => 'http://www.idpc.org.mt/',
						'desc' => 'Office of the Information and Data Protection Commissioner | IDPC',
						'alpha_order' => 220,
						'flag' => 'mt',
	),
	'Europe/Madrid'		=> array( 	'site' => 'https://www.aepd.es/',
						'desc' => 'Agencia Española de Protección de Datos | AEPD',
						'alpha_order' => 20,
						'flag' => 'es',
	),
	'Europe/Paris'		=> array( 	'site' => 'http://www.cnil.fr/',
						'rss' => 'https://www.cnil.fr/fr/rss.xml',
						'desc' => 'Commission Nationale de l"Informatique et des Libertés | CNIL',
						'alpha_order' => 100,
						'flag' => 'fr',
	),
	'Europe/Prague'		=> array( 	'site' => 'http://www.uoou.cz/',
						'rss' => 'https://www.uoou.cz/rss/',
						'desc' => 'Úřad pro ochranu osobních údajů',
						'alpha_order' => 250,
						'flag' => 'cz',
	),
	'Europe/Riga'		=> array( 	'site' => 'http://www.dvi.gov.lv/',
						'rss' => 'https://www.dvi.gov.lv/lv/feed/',
						'desc' => 'Datu valsts inspekcija',
						'alpha_order' => 160,
						'flag' => 'lv',
	),
	'Europe/Rome'		=> array( 	'site' => 'http://www.garanteprivacy.it/',
						'desc' => 'Garante per la protezione dei dati personali',
						'alpha_order' => 170,
						'flag' => 'it',
	),
	'Europe/Sofia'		=> array( 	'site' => 'https://www.cpdp.bg/',
						'rss' => 'https://www.cpdp.bg/rss.php?lg=1',
						'desc' => 'Комисия за защита на личните данни',
						'alpha_order' => 200,
						'flag' => 'bg',
	),
	'Europe/Stockholm'	=> array( 	'site' => 'http://www.datainspektionen.se/',
						'rss' => 'https://www.datainspektionen.se/nyheter/rss.xml',
						'desc' => 'Datainspektionen',
						'alpha_order' => 130,
						'flag' => 'se',
	),
	'Europe/Tallinn'	=> array( 	'site' => 'http://www.aki.ee/',
						'rss' => array('https://www.aki.ee/et/taxonomy/term/3/feed', 'https://www.aki.ee/et/taxonomy/term/181/feed', 'https://www.aki.ee/et/taxonomy/term/182/feed', 'https://www.aki.ee/et/taxonomy/term/1/feed', ),
						'desc' => 'Andmekaitse Inspektsioon',
						'alpha_order' => 40,
						'flag' => 'ee',
	),
	'Europe/Vienna'		=> array( 	'site' => 'http://www.dsb.gv.at/',
						'desc' => 'Datenschutzbehörde',
						'alpha_order' => 150,
						'flag' => 'at',
	),
	'Europe/Vilnius'	=> array( 	'site' => 'http://www.ada.lt/',
						'desc' => 'Valstybinė duomenų apsaugos inspekcija',
						'alpha_order' => 270,
						'flag' => 'lt',
	),
	'Europe/Warsaw'		=> array( 	'site' => 'https://uodo.gov.pl/',
						'desc' => 'Urząd Ochrony Danych Osobowych',
						'alpha_order' => 260,
						'flag' => 'pl',
	),
	'Europe/Zagreb'		=> array( 	'site' => 'http://www.azop.hr/',
						'desc' => 'Agencija za zaštitu osobnih podataka',
						'alpha_order' => 30,
						'flag' => 'hr',
	),
);