<?php
class GDP_Dashboard_metabox_ffod extends GDP_dashboard_metabox_
{
	var $id		= 'FFoD';
	var $context	= 'normal';
	var $file 	= __FILE__;

	function meta_box()
	{
		$links = array();
		$links[0] = array( 'https://ec.europa.eu/digital-single-market/en/free-flow-non-personal-data', 		__( 'Presentation', 'GDPress' ) );
		$links[1] = array( 'https://eur-lex.europa.eu/legal-content/%2$s/TXT/HTML/?uri=CELEX:52017PC0495&from=%2$s', 	__( 'FFoD in your language', 'GDPress' ) );
		$links[2] = array( 'https://eur-lex.europa.eu/legal-content/EN/TXT/HTML/?uri=CELEX:52017PC0495&from=EN', 	__( 'FFoD in English', 'GDPress' ) );
		$links[3] = array( 'https://eur-lex.europa.eu/legal-content/%2$s/TXT/?uri=COM%%3A2017%%3A495%%3AFIN', 		__( 'FFoD in 24 languages', 'GDPress' ) );

		$l = GDP_EU_Languages::getInstance();
		$lang = $l->get_language_lang();

		if ( $lang == 'en' ) unset( $links[1] );

		$out = $this->format_links( $links, $lang );

		echo $out;
	}
}
new GDP_Dashboard_metabox_ffod( __( 'FFoD - Free Flow of non-personal Data', 'GDPress' ) );