<?php 

if ( !defined( 'ABSPATH' ) && !defined( 'WP_UNINSTALL_PLUGIN' ) ) die();

class GDP_uninstall
{
	const cop = 'GDPress_c.o.p.'; // c.o.p. stands for Chief Of Privacy

	function __construct()
	{
		global $wpdb;

		$wpdb->gdp_events     = $wpdb->prefix . 'gdpress_events';
		$wpdb->gdp_eventmeta  = $wpdb->prefix . 'gdpress_eventmeta';

// roles
		remove_role( self::cop );

// options
		$queries[] = "DELETE FROM $wpdb->options WHERE option_name like '%GDPress%';";	

// gdpress tables
		$drop_tables = array (
					$wpdb->gdp_events,
					$wpdb->gdp_eventmeta,
		 );

		foreach ( ( array ) $drop_tables as $table ) $wpdb->query( "DROP TABLE IF EXISTS $table;" );	

		foreach( $queries as $query ) $wpdb->query( $query );
	}
}
new GDP_uninstall(); 
